### A free/open-source library for quantitative finance

Public Member Functions
FiniteDifferenceNewtonSafe Class Reference

safe Newton 1-D solver with finite difference derivatives More...

`#include <ql/math/solvers1d/finitedifferencenewtonsafe.hpp>`

Inheritance diagram for FiniteDifferenceNewtonSafe:
[legend]

List of all members.

## Public Member Functions

template<class F >
Real | solveImpl (const F &f, Real xAccuracy) const

## Detailed Description

safe Newton 1-D solver with finite difference derivatives

Tests:
  the correctness of the returned values is tested by checking them against known good results.